=== debian/control ===
Source: ros-dashing-velodyne-node
Section: misc
Priority: extra
Maintainer: Apex.AI, Inc. <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-autoware-auto-cmake, ros-dashing-lidar-utils, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-udp-driver, ros-dashing-velodyne-driver, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-velodyne-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-lidar-utils, ros-dashing-rclcpp-lifecycle, ros-dashing-sensor-msgs, ros-dashing-udp-driver, ros-dashing-velodyne-driver, ros-dashing-ros-workspace
Description: (Mostly) static memory implementation of a velodyne driver in one process
